#!/bin/bash
# Wrapper script for PETSCII2BASIC and exomizer

python PETSCII2BASIC.py -p 1 -f LISTSYS -o listart.tmp $1 

SIZE=$(($(stat -c%s "listart.tmp") + 2047))

shift
echo $@ -Di_load_addr=$SIZE

exomizer $@ -Di_load_addr=$SIZE

# identify the file just generated
file=$(ls -t *.prg | head -1)

# cut first two bytes from crunched file
dd if="$file" bs=1 skip=2 of=mainprg.tmp 

# glue listart.tmp to the file just generated
cat listart.tmp mainprg.tmp > "$file"

# remove evidence
rm listart.tmp mainprg.tmp
